For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sample appsIntegrationsDiscordPlaygroundDevEx repo
GuidesSDK ReferenceAPI Reference
GuidesSDK ReferenceAPI Reference
  • TwelveLabs API
    • Introduction
    • Authentication
  • API Reference
    • Manage indexes
    • Upload content
    • Index content
    • Manage videos
      • The video object
      • GETList videos
      • GETRetrieve video information
      • PATCHPartial update video information
      • DELDelete video information
    • Manage entities
    • Any-to-video search
    • Create embeddings v2
    • Create embeddings v1
    • Analyze and segment videos
    • Error codes
LogoLogo
Sample appsIntegrationsDiscordPlaygroundDevEx repo
API ReferenceManage videos

Partial update video information

PATCH
https://api.twelvelabs.io/v1.3/indexes/:index-id/videos/:video-id
PATCH
/v1.3/indexes/:index-id/videos/:video-id
$curl -X PATCH https://api.twelvelabs.io/v1.3/indexes/6298d673f1090f1100476d4c/videos/6298d673f1090f1100476d4c \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "user_metadata": {
> "category": "recentlyAdded",
> "batchNumber": 5,
> "rating": 9.3,
> "needsReview": true
> }
>}'
1{}
<Info>This method will be deprecated in a future version. New implementations should use the [Partial update indexed asset](/v1.3/api-reference/index-content/update) method.</Info> This method updates one or more fields of the metadata of a video. Also, can delete a field by setting it to `null`.
Was this page helpful?
Previous

Delete video information

Next
Built with
This method will be deprecated in a future version. New implementations should use the Partial update indexed asset method.

This method updates one or more fields of the metadata of a video. Also, can delete a field by setting it to null.

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Path parameters

index-idstringRequired
The unique identifier of the index to which the video has been uploaded.
video-idstringRequired
The unique identifier of the video to update.

Request

Request to update the metadata of a video. Delete the fields with a null value.

user_metadatamap from strings to anyOptional
Metadata that helps you categorize your assets. You can specify a list of keys and values. Keys must be of type `string`, and values can be of the following types: `string`, `integer`, `float` or `boolean`. **Example**: ```JSON "user_metadata": { "category": "recentlyAdded", "batchNumber": 5, "rating": 9.3, "needsReview": true } ``` <Note title="Note"> If you want to store other types of data such as objects or arrays, you must convert your data into string values. </Note>

Response

If successful, this method returns a 204 No Content response code. It does not return anything in the response body.

Errors

400
Bad Request Error

Metadata that helps you categorize your assets. You can specify a list of keys and values. Keys must be of type string, and values can be of the following types: string, integer, float or boolean.

Example:

1"user_metadata": {
2 "category": "recentlyAdded",
3 "batchNumber": 5,
4 "rating": 9.3,
5 "needsReview": true
6}
Note

If you want to store other types of data such as objects or arrays, you must convert your data into string values.